import { StyleSheet } from "react-native";
import {
  appColors,
  fontSizes,
  windowHeight,
  windowWidth,
  appFonts,
} from "@src/themes";

const styles = StyleSheet.create({
  textView: {},
  inputView: {
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
    textAlignVertical: "top",
    backgroundColor: appColors.whiteColor,
    padding: windowHeight(1),
    height: windowHeight(150),
    borderRadius: windowHeight(7.5),
    borderWidth: windowWidth(1),
    paddingHorizontal: windowWidth(15),
    paddingVertical: windowHeight(15),
  },
  border: {
    borderBottomWidth: windowHeight(0.9),
    paddingTop: windowHeight(10),
    marginBottom: windowHeight(-10),
  },
  cardContainer: {
    borderWidth: windowHeight(1),
    marginVertical: windowHeight(15),
    margin: windowHeight(13),
    borderRadius: windowHeight(15),
  },
  userInfoContainer: {
    width: "77%",
    padding: windowHeight(10),
  },
  userImage: {
    height: windowHeight(40),
    width: windowHeight(40),
    borderRadius: windowHeight(25),
  },
  userTextContainer: {
    marginHorizontal: windowWidth(15),
    justifyContent: "space-evenly",
  },
  userName: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT18,
    marginTop: windowHeight(5),
    marginHorizontal: windowWidth(5),
  },
  date: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
  },
  ticketContainer: {
    paddingHorizontal: windowHeight(10),
    maxHeight: windowHeight(25),
    alignItems: "center",
    backgroundColor: appColors.lightGray,
    borderRadius: windowWidth(25),
    height: windowHeight(29),
    justifyContent: "center",
  },
  ticketId: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT16,
  },
  title: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT20,
    marginHorizontal: windowWidth(15),
  },
  description: {
    color: appColors.regularText,
    fontSize: fontSizes.FONT18,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(15),
    marginTop: windowHeight(5),
  },
  fileTextView: { marginHorizontal: windowWidth(5), flex: 1 },
  closeIconView: {
    alignItems: "center",
    justifyContent: "center",
    backgroundColor: appColors.modelBg,
    height: windowHeight(12),
    width: windowHeight(12),
    position: "absolute",
    top: windowHeight(3),
    left: windowWidth(5),
    borderTopLeftRadius: windowHeight(5),
    borderBottomRightRadius: windowHeight(5),
  },
  imageUri: {
    height: windowHeight(30),
    width: windowHeight(30),
    borderRadius: windowHeight(5),
  },
  listView: { paddingBottom: windowHeight(80) },
  time: {
    fontFamily: appFonts.regular,
    color: appColors.regularText,
    fontSize: fontSizes.FONT18,
    textAlign: "right",
    marginTop: windowHeight(2),
    marginHorizontal: windowWidth(15),
    marginBottom: windowHeight(10),
  },
  btnContainer: {
    width: "9%",
    padding: windowHeight(8),
  },
  sendBtn: {
    backgroundColor: appColors.primary,
    width: windowHeight(31),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(31),
    alignSelf: "flex-end",
    paddingVertical: windowHeight(6),
    height: windowHeight(31),
  },
  btnTitle: {
    color: appColors.whiteColor,
    fontFamily: appFonts.medium,
  },
  attachment: {
    width: "5%",
    padding: windowHeight(5),
    justifyContent: "center",
  },
  bottomSearchBar: {
    width: "100%",
    justifyContent: "space-between",
    height: windowHeight(45),
    paddingHorizontal: windowWidth(5),
    borderRadius: windowWidth(35),
    alignSelf: "center",
  },
  imageContainer: {
    width: windowWidth(200),
    alignItems: "center",
    borderRadius: windowHeight(7.5),
    paddingHorizontal: windowWidth(15),
    paddingVertical: windowHeight(8),
  },
  image: {
    height: windowHeight(30),
    width: windowHeight(30),
    borderRadius: windowHeight(5),
  },
  filenameView: {
    marginHorizontal: windowWidth(10),
    flex: 1,
  },
  textStyle: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT14,
  },
  bottomView: {
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
    marginVertical: windowHeight(15),
    margin: windowHeight(15),
    borderRadius: windowHeight(5),
    position: "absolute",
    bottom: windowHeight(5),
  },

  bottomView1: {
    marginVertical: windowHeight(15),
    margin: windowHeight(15),
    borderRadius: windowHeight(5),
    position: "absolute",
    bottom: windowHeight(5),
  },
  rowStyles: {
    marginTop: windowHeight(5),
    flexWrap: "wrap",
    gap: windowWidth(10),
  },
  formatedText: {
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
  },
  fileText: {
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
  },
  downloadFileView: {
    marginTop: windowHeight(10),
    flexWrap: "wrap",
    gap: windowWidth(10),
    marginHorizontal: windowWidth(15),
  },
  userRound: {
    height: windowHeight(40),
    width: windowHeight(40),
    borderRadius: windowHeight(40),
    backgroundColor: appColors.loaderPrimary,
    alignItems: "center",
    justifyContent: "center",
  },
  user: {
    color: appColors.blackColor,
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT22,
  },
});

export default styles;
